Bug 127357 - [maintainer-update] cad/freehdl 0.0.6
Summary: [maintainer-update] cad/freehdl 0.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-13 15:40 UTC by Dominic Fandrey
Modified: 2008-09-26 10:00 UTC (History)
0 users

See Also:


Attachments
file.diff (2.41 KB, patch)
2008-09-13 15:40 UTC, Dominic Fandrey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dominic Fandrey 2008-09-13 15:40:01 UTC
Update to the latest release and update of my email address.

Fix: Files ports/cad/freehdl.orig/.Makefile.swp and ports/cad/freehdl/.Makefile.swp differ
Comment 1 Martin Wilke freebsd_committer 2008-09-13 16:02:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 kamikaze 2008-09-23 16:54:21 UTC
Thanks to your help and the Porter's Handbook I was able to fix
things rather quick. I hope this one builds, now.


diff -Pur ports/cad/freehdl.orig/Makefile ports/cad/freehdl/Makefile
--- ports/cad/freehdl.orig/Makefile	2008-09-13 16:14:41.000000000 +0200
+++ ports/cad/freehdl/Makefile	2008-09-23 17:44:09.000000000 +0200
@@ -6,25 +6,25 @@
 #
 
 PORTNAME=	freehdl
-PORTVERSION=	0.0.4
-PORTREVISION=	3
+PORTVERSION=	0.0.6
 CATEGORIES=	cad
-MASTER_SITES=	http://www.home.hs-karlsruhe.de/~fado0011/ \
-		http://cran.mit.edu/~enaroska/
+MASTER_SITES=	http://freehdl.seul.org/~enaroska/
 
-MAINTAINER=	lon_kamikaze@gmx.de
+MAINTAINER=	kamikaze@bsdforen.de
 COMMENT=	A free VHDL simulator
 
 USE_GMAKE=	yes
 USE_LDCONFIG=	yes
 USE_PERL5=	yes
+USE_GNOME=	gnomehack \
+		pkgconfig
+USE_AUTOTOOLS=	libtool:15
 HAS_CONFIGURE=	yes
 CONFIGURE_ARGS=	--infodir=${PREFIX}/info \
 		--mandir=${MANPREFIX}/man
 
 MAN1=		freehdl-config.1 \
 		freehdl-gennodes.1 \
-		freehdl-libtool.1 \
 		freehdl-v2cc.1 \
 		gvhdl.1
 MAN5=		v2cc.libs.5
@@ -53,7 +53,12 @@
 		| ${PLIST_REPL} >> ${PLIST}
 	@${FIND} -d ${PLIST_TMP} -type d -mindepth 2 \
 		| ${SED} "s|${PLIST_TMP}|@dirrm |1" \
-		| ${PLIST_REPL} >> ${PLIST}
+		| ${PLIST_REPL} \
+		| ${GREP} -E '%%DATADIR%%|freehdl' >> ${PLIST}
+	@${FIND} -d ${PLIST_TMP} -type d -mindepth 2 \
+		| ${SED} "s|${PLIST_TMP}|@dirrmtry |1" \
+		| ${PLIST_REPL} \
+		| ${GREP} -vE '%%DATADIR%%|freehdl' >> ${PLIST}
 	@${RM} -rf ${PLIST_TMP}
 
 .include <bsd.port.mk>
diff -Pur ports/cad/freehdl.orig/distinfo ports/cad/freehdl/distinfo
--- ports/cad/freehdl.orig/distinfo	2008-09-13 16:14:41.000000000 +0200
+++ ports/cad/freehdl/distinfo	2008-09-13 16:17:09.000000000 +0200
@@ -1,3 +1,3 @@
-MD5 (freehdl-0.0.4.tar.gz) = 0992a05d61aad6d890a0eb1bc39655e8
-SHA256 (freehdl-0.0.4.tar.gz) = bfbbdb14b807eb3a125cf69919ac5ba4352ce36955c8b0063a4988f81b06c7f3
-SIZE (freehdl-0.0.4.tar.gz) = 1383255
+MD5 (freehdl-0.0.6.tar.gz) = bd168382c72f9fbd392f89ab2c5fddf8
+SHA256 (freehdl-0.0.6.tar.gz) = 7c80a55747f75eb3eff802bbb77e2528229f333b1e435cb4c3ae83b39d709845
+SIZE (freehdl-0.0.6.tar.gz) = 1391749
diff -Pur ports/cad/freehdl.orig/pkg-plist ports/cad/freehdl/pkg-plist
--- ports/cad/freehdl.orig/pkg-plist	2008-09-13 16:14:41.000000000 +0200
+++ ports/cad/freehdl/pkg-plist	2008-09-23 17:45:19.000000000 +0200
@@ -1,3 +1,7 @@
+bin/freehdl-config
+bin/freehdl-gennodes
+bin/gvhdl
+bin/freehdl-v2cc
 include/freehdl/fire-types.h
 include/freehdl/fire-chunk.t
 include/freehdl/fire-chunk.h
@@ -63,11 +67,6 @@
 include/freehdl/std-memory.hh
 include/freehdl/std-standard.hh
 include/freehdl/std-vhdl-types.hh
-bin/freehdl-config
-bin/freehdl-gennodes
-bin/gvhdl
-bin/freehdl-v2cc
-bin/freehdl-libtool
 lib/libfreehdl-fire.so.0
 lib/libfreehdl-fire.so
 lib/libfreehdl-fire.la
@@ -102,9 +101,11 @@
 %%DATADIR%%/lib/ieee/std_logic_arith.vhdl
 %%DATADIR%%/lib/ieee/math_real.vhdl
 %%DATADIR%%/lib/ieee/vital_timing.vhdl
+libdata/pkgconfig/freehdl.pc
 @dirrm include/freehdl
 @dirrm lib/freehdl
 @dirrm %%DATADIR%%/lib/std
 @dirrm %%DATADIR%%/lib/ieee
 @dirrm %%DATADIR%%/lib
 @dirrm %%DATADIR%%
+@dirrmtry libdata/pkgconfig
Comment 3 Martin Wilke freebsd_committer 2008-09-26 09:54:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2008-09-26 09:54:56 UTC
miwi        2008-09-26 08:54:27 UTC

  FreeBSD ports repository

  Modified files:
    cad/freehdl          Makefile distinfo pkg-plist 
  Log:
  - Update to 0.0.6
  
  PR:             127357
  Submitted by:   Dominic Fandrey <LoN_Kamikaze@gmx.de> (maintainer)
  
  Revision  Changes    Path
  1.11      +12 -7     ports/cad/freehdl/Makefile
  1.3       +3 -3      ports/cad/freehdl/distinfo
  1.3       +75 -75    ports/cad/freehdl/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"